CVE-2015-7995

NameCVE-2015-7995
DescriptionThe xsltStylePreCompute function in preproc.c in libxslt 1.1.28 does not check if the parent node is an element, which allows attackers to cause a denial of service via a crafted XML file, related to a "type confusion" issue.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-514-1, DSA-3605-1
NVD severitymedium (attack range: remote)
Debian Bugs802971

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libxslt (PTS)wheezy1.1.26-14.1vulnerable
wheezy (security)1.1.26-14.1+deb7u3fixed
jessie1.1.28-2+deb8u3fixed
jessie (security)1.1.28-2+deb8u2fixed
stretch1.1.29-2.1fixed
buster, sid1.1.29-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libxsltsource(unstable)1.1.28-2.1medium802971
libxsltsourcejessie1.1.28-2+deb8u1mediumDSA-3605-1
libxsltsourcewheezy1.1.26-14.1+deb7u1mediumDLA-514-1

Notes

[squeeze] - libxslt <no-dsa> (Minor issue)
https://bugzilla.redhat.com/show_bug.cgi?id=1257962
http://www.openwall.com/lists/oss-security/2015/10/27/10
https://git.gnome.org/browse/libxslt/commit/?id=7ca19df892ca22d9314e95d59ce2abdeff46b617 (v1.1.29-rc1)

Search for package or bug name: Reporting problems